ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Fernandez (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-7960) Revert injection of versioned RPMs in Tez & WebHCat, and use static *-site.xml file with ${hdp.version} variable
Date Fri, 24 Oct 2014 21:22:34 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-7960?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14183526#comment-14183526
] 

Alejandro Fernandez commented on AMBARI-7960:
---------------------------------------------

The failure in a.b.o. was an unrelated test,

{code}
Failed tests:
FAIL: test_configure_default (test_knox_gateway.TestKnoxGateway)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/jenkins/jenkins-slave/workspace/Ambari-trunk-test-patch/ambari/ambari-server/src/test/python/stacks/2.2/KNOX/test_knox_gateway.py",
line 71, in test_configure_default
    content = self.getConfig()['configurations']['users-ldif']['content']
  File "/home/jenkins/jenkins-slave/workspace/Ambari-trunk-test-patch/ambari/ambari-server/src/test/python/stacks/utils/RMFTestCase.py",
line 175, in assertResourceCalled
    self.assertEquals(name, resource.name)
AssertionError: '/etc/knox/conf/users-ldif' != '/etc/knox/conf/users.ldif'
{code}

> Revert injection of versioned RPMs in Tez & WebHCat, and use static *-site.xml file
with ${hdp.version} variable
> ----------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-7960
>                 URL: https://issues.apache.org/jira/browse/AMBARI-7960
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 1.7.0
>            Reporter: Alejandro Fernandez
>            Assignee: Alejandro Fernandez
>            Priority: Blocker
>             Fix For: 1.7.0
>
>         Attachments: AMBARI-7960.patch
>
>
> Now that https://github.com/hortonworks/bigtop-new/commit/2118396f2b18824177f1a2aaa322491e1bfd53a9
allows using ${hdp.version} as a variable, WebHCat and Tez need to use a static *-site.xml
file.
> The properties used in these *-site.xml files need to reference versioned rpms that will
make use of the ${hdp_version} variable.
> The component version will have to be defined upfront. E.g.,
> tez-0.6.0.${hdp.version}.tar.gz
> pig-0.14.0.${hdp.version}.tar.gz
> hive-0.14.0.${hdp.version}.tar.gz
> sqoop-1.4.5.${hdp.version}.tar.gz
> hadoop-streaming-2.6.0.${hdp.version}.jar



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message